<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-vrum                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<mat-sidenav-container>
  <mat-sidenav #sidenav id="vrum-sidenav" class="menu" role="navigation" [opened]="sidenavOpened" [mode]="sidenavMode">
    <mat-list (click)="closeSideNav()">
      <div class="menu-item">
        <a id="vrum-list-operations-menu-link" routerLink="/operations">
          <mat-list-item>
            <mat-icon>home</mat-icon>
            {{ 'menu.operations' | translate }}
          </mat-list-item>
        </a>
      </div>
      <mat-divider></mat-divider>
    </mat-list>
    <div class="version" *ngIf="version">
      <div class="build-number">
        {{ version.buildNumber }}
      </div>
      <div class="build-timestamp">
        {{ version.buildTimestamp | date:'dd.MM.yyyy HH:mm' }}
      </div>
    </div>
  </mat-sidenav>

  <mat-sidenav-content role="main">
    <div class="loading-indicator" [hidden]="!isLoading">
      <mat-progress-spinner mode="indeterminate" color="primary"></mat-progress-spinner>
    </div>
    <div class="vrum-content">
      <router-outlet></router-outlet>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>
